<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:20:13 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CodegenPackage.Literals (org.eclipse.papyrus.designer.languages.common.profile 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CodegenPackage.Literals (org.eclipse.papyrus.designer.languages.common.profile 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CodegenPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/ExcludedDependency.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="CodegenPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.common.profile.Codegen</div>
<h2 title="Interface CodegenPackage.Literals" class="title">Interface CodegenPackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen">CodegenPackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">CodegenPackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each operation of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#ARCHE_TYPE">ARCHE_TYPE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/ArcheTypeImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Arche Type</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#ARCHE_TYPE__ARTIFACT_ID">ARCHE_TYPE__ARTIFACT_ID</a></span></code>
<div class="block">The meta object literal for the '<em><b>Artifact Id</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#ARCHE_TYPE__BASE_CLASS">ARCHE_TYPE__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#ARCHE_TYPE__GROUP_ID">ARCHE_TYPE__GROUP_ID</a></span></code>
<div class="block">The meta object literal for the '<em><b>Group Id</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#ARCHE_TYPE__REPOSITORY">ARCHE_TYPE__REPOSITORY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Repository</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#ARCHE_TYPE__VERSION">ARCHE_TYPE__VERSION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Version</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#EXCLUDED_DEPENDENCY">EXCLUDED_DEPENDENCY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/ExcludedDependencyImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Excluded Dependency</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#EXCLUDED_DEPENDENCY__ARTIFACT_ID">EXCLUDED_DEPENDENCY__ARTIFACT_ID</a></span></code>
<div class="block">The meta object literal for the '<em><b>Artifact Id</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#EXCLUDED_DEPENDENCY__BASE_CLASS">EXCLUDED_DEPENDENCY__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#EXCLUDED_DEPENDENCY__GROUP_ID">EXCLUDED_DEPENDENCY__GROUP_ID</a></span></code>
<div class="block">The meta object literal for the '<em><b>Group Id</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#GENERATION_MODE_KIND">GENERATION_MODE_KIND</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/GenerationModeKind.html" title="enum in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><code><em>Generation Mode Kind</em></code></a>' enum.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#GENERATOR_HINT">GENERATOR_HINT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/GeneratorHintImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Generator Hint</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#GENERATOR_HINT__BASE_ELEMENT">GENERATOR_HINT__BASE_ELEMENT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Element</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#GENERATOR_HINT__GENERATOR_ID">GENERATOR_HINT__GENERATOR_ID</a></span></code>
<div class="block">The meta object literal for the '<em><b>Generator ID</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#GENERATOR_HINT__LANGUAGE">GENERATOR_HINT__LANGUAGE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Language</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#LANGUAGE">LANGUAGE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/LanguageImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Language</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#LANGUAGE__BASE_CLASS">LANGUAGE__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_DEPENDENCY">MAVEN_DEPENDENCY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/MavenDependencyImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Maven Dependency</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_DEPENDENCY__ARTIFACT_ID">MAVEN_DEPENDENCY__ARTIFACT_ID</a></span></code>
<div class="block">The meta object literal for the '<em><b>Artifact Id</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_DEPENDENCY__BASE_CLASS">MAVEN_DEPENDENCY__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_DEPENDENCY__EXCLUSIONS">MAVEN_DEPENDENCY__EXCLUSIONS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Exclusions</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_DEPENDENCY__GROUP_ID">MAVEN_DEPENDENCY__GROUP_ID</a></span></code>
<div class="block">The meta object literal for the '<em><b>Group Id</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_DEPENDENCY__VERSION">MAVEN_DEPENDENCY__VERSION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Version</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_PROJECT">MAVEN_PROJECT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/MavenProjectImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Maven Project</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_PROJECT__ARCHE_TYPE">MAVEN_PROJECT__ARCHE_TYPE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Arche Type</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_PROJECT__ARTIFACT_ID">MAVEN_PROJECT__ARTIFACT_ID</a></span></code>
<div class="block">The meta object literal for the '<em><b>Artifact Id</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_PROJECT__BASE_PACKAGE">MAVEN_PROJECT__BASE_PACKAGE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Package</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_PROJECT__DEPENDENCIES">MAVEN_PROJECT__DEPENDENCIES</a></span></code>
<div class="block">The meta object literal for the '<em><b>Dependencies</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_PROJECT__GROUP_ID">MAVEN_PROJECT__GROUP_ID</a></span></code>
<div class="block">The meta object literal for the '<em><b>Group Id</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_PROJECT__PARENT">MAVEN_PROJECT__PARENT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Parent</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_PROJECT__PROPERTIES">MAVEN_PROJECT__PROPERTIES</a></span></code>
<div class="block">The meta object literal for the '<em><b>Properties</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#MAVEN_PROJECT__VERSION">MAVEN_PROJECT__VERSION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Version</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#NO_CODE_GEN">NO_CODE_GEN</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/NoCodeGenImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>No Code Gen</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#NO_CODE_GEN__BASE_ELEMENT">NO_CODE_GEN__BASE_ELEMENT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Element</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PARENT_ARTIFACT">PARENT_ARTIFACT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/ParentArtifactImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Parent Artifact</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PARENT_ARTIFACT__ARTIFACT_ID">PARENT_ARTIFACT__ARTIFACT_ID</a></span></code>
<div class="block">The meta object literal for the '<em><b>Artifact Id</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PARENT_ARTIFACT__BASE_CLASS">PARENT_ARTIFACT__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PARENT_ARTIFACT__GROUP_ID">PARENT_ARTIFACT__GROUP_ID</a></span></code>
<div class="block">The meta object literal for the '<em><b>Group Id</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PARENT_ARTIFACT__VERSION">PARENT_ARTIFACT__VERSION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Version</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PROJECT">PROJECT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/ProjectImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Project</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PROJECT__BASE_MODEL">PROJECT__BASE_MODEL</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Model</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PROJECT__GENERATION_MODE">PROJECT__GENERATION_MODE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Generation Mode</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PROJECT__PREFIX">PROJECT__PREFIX</a></span></code>
<div class="block">The meta object literal for the '<em><b>Prefix</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PROJECT__PROJECT_NAME">PROJECT__PROJECT_NAME</a></span></code>
<div class="block">The meta object literal for the '<em><b>Project Name</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PROJECT__SOURCE_FOLDER">PROJECT__SOURCE_FOLDER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Source Folder</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PROPERTY">PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/PropertyImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Property</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PROPERTY__BASE_CLASS">PROPERTY__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PROPERTY__NAME">PROPERTY__NAME</a></span></code>
<div class="block">The meta object literal for the '<em><b>Name</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html#PROPERTY__VALUE">PROPERTY__VALUE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Value</b></em>' attribute feature.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="PROJECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROJECT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass PROJECT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/ProjectImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Project</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/ProjectImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code>ProjectImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/CodegenPackageImpl.html#getProject--"><code>CodegenPackageImpl.getProject()</code></a></dd>
</dl>
</li>
</ul>
<a name="PROJECT__BASE_MODEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROJECT__BASE_MODEL</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference PROJECT__BASE_MODEL</pre>
<div class="block">The meta object literal for the '<em><b>Base Model</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PROJECT__PROJECT_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROJECT__PROJECT_NAME</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute PROJECT__PROJECT_NAME</pre>
<div class="block">The meta object literal for the '<em><b>Project Name</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PROJECT__SOURCE_FOLDER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROJECT__SOURCE_FOLDER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute PROJECT__SOURCE_FOLDER</pre>
<div class="block">The meta object literal for the '<em><b>Source Folder</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PROJECT__PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROJECT__PREFIX</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute PROJECT__PREFIX</pre>
<div class="block">The meta object literal for the '<em><b>Prefix</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="GENERATOR_HINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENERATOR_HINT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass GENERATOR_HINT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/GeneratorHintImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Generator Hint</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/GeneratorHintImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code>GeneratorHintImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/CodegenPackageImpl.html#getGeneratorHint--"><code>CodegenPackageImpl.getGeneratorHint()</code></a></dd>
</dl>
</li>
</ul>
<a name="GENERATOR_HINT__BASE_ELEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENERATOR_HINT__BASE_ELEMENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference GENERATOR_HINT__BASE_ELEMENT</pre>
<div class="block">The meta object literal for the '<em><b>Base Element</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="GENERATOR_HINT__LANGUAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENERATOR_HINT__LANGUAGE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference GENERATOR_HINT__LANGUAGE</pre>
<div class="block">The meta object literal for the '<em><b>Language</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="GENERATOR_HINT__GENERATOR_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENERATOR_HINT__GENERATOR_ID</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute GENERATOR_HINT__GENERATOR_ID</pre>
<div class="block">The meta object literal for the '<em><b>Generator ID</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="LANGUAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LANGUAGE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass LANGUAGE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/LanguageImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Language</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/LanguageImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code>LanguageImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/CodegenPackageImpl.html#getLanguage--"><code>CodegenPackageImpl.getLanguage()</code></a></dd>
</dl>
</li>
</ul>
<a name="LANGUAGE__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LANGUAGE__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference LANGUAGE__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="NO_CODE_GEN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_CODE_GEN</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass NO_CODE_GEN</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/NoCodeGenImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>No Code Gen</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/NoCodeGenImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code>NoCodeGenImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/CodegenPackageImpl.html#getNoCodeGen--"><code>CodegenPackageImpl.getNoCodeGen()</code></a></dd>
</dl>
</li>
</ul>
<a name="NO_CODE_GEN__BASE_ELEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_CODE_GEN__BASE_ELEMENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference NO_CODE_GEN__BASE_ELEMENT</pre>
<div class="block">The meta object literal for the '<em><b>Base Element</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MAVEN_PROJECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_PROJECT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass MAVEN_PROJECT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/MavenProjectImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Maven Project</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/MavenProjectImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code>MavenProjectImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/CodegenPackageImpl.html#getMavenProject--"><code>CodegenPackageImpl.getMavenProject()</code></a></dd>
</dl>
</li>
</ul>
<a name="MAVEN_PROJECT__GROUP_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_PROJECT__GROUP_ID</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute MAVEN_PROJECT__GROUP_ID</pre>
<div class="block">The meta object literal for the '<em><b>Group Id</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MAVEN_PROJECT__ARTIFACT_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_PROJECT__ARTIFACT_ID</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute MAVEN_PROJECT__ARTIFACT_ID</pre>
<div class="block">The meta object literal for the '<em><b>Artifact Id</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MAVEN_PROJECT__VERSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_PROJECT__VERSION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute MAVEN_PROJECT__VERSION</pre>
<div class="block">The meta object literal for the '<em><b>Version</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MAVEN_PROJECT__ARCHE_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_PROJECT__ARCHE_TYPE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference MAVEN_PROJECT__ARCHE_TYPE</pre>
<div class="block">The meta object literal for the '<em><b>Arche Type</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MAVEN_PROJECT__DEPENDENCIES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_PROJECT__DEPENDENCIES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference MAVEN_PROJECT__DEPENDENCIES</pre>
<div class="block">The meta object literal for the '<em><b>Dependencies</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MAVEN_PROJECT__PARENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_PROJECT__PARENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference MAVEN_PROJECT__PARENT</pre>
<div class="block">The meta object literal for the '<em><b>Parent</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MAVEN_PROJECT__PROPERTIES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_PROJECT__PROPERTIES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference MAVEN_PROJECT__PROPERTIES</pre>
<div class="block">The meta object literal for the '<em><b>Properties</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MAVEN_PROJECT__BASE_PACKAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_PROJECT__BASE_PACKAGE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference MAVEN_PROJECT__BASE_PACKAGE</pre>
<div class="block">The meta object literal for the '<em><b>Base Package</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARCHE_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARCHE_TYPE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass ARCHE_TYPE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/ArcheTypeImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Arche Type</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/ArcheTypeImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code>ArcheTypeImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/CodegenPackageImpl.html#getArcheType--"><code>CodegenPackageImpl.getArcheType()</code></a></dd>
</dl>
</li>
</ul>
<a name="ARCHE_TYPE__GROUP_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARCHE_TYPE__GROUP_ID</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ARCHE_TYPE__GROUP_ID</pre>
<div class="block">The meta object literal for the '<em><b>Group Id</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARCHE_TYPE__ARTIFACT_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARCHE_TYPE__ARTIFACT_ID</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ARCHE_TYPE__ARTIFACT_ID</pre>
<div class="block">The meta object literal for the '<em><b>Artifact Id</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARCHE_TYPE__VERSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARCHE_TYPE__VERSION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ARCHE_TYPE__VERSION</pre>
<div class="block">The meta object literal for the '<em><b>Version</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARCHE_TYPE__REPOSITORY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARCHE_TYPE__REPOSITORY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ARCHE_TYPE__REPOSITORY</pre>
<div class="block">The meta object literal for the '<em><b>Repository</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARCHE_TYPE__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARCHE_TYPE__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ARCHE_TYPE__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MAVEN_DEPENDENCY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_DEPENDENCY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass MAVEN_DEPENDENCY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/MavenDependencyImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Maven Dependency</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/MavenDependencyImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code>MavenDependencyImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/CodegenPackageImpl.html#getMavenDependency--"><code>CodegenPackageImpl.getMavenDependency()</code></a></dd>
</dl>
</li>
</ul>
<a name="MAVEN_DEPENDENCY__GROUP_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_DEPENDENCY__GROUP_ID</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute MAVEN_DEPENDENCY__GROUP_ID</pre>
<div class="block">The meta object literal for the '<em><b>Group Id</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MAVEN_DEPENDENCY__ARTIFACT_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_DEPENDENCY__ARTIFACT_ID</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute MAVEN_DEPENDENCY__ARTIFACT_ID</pre>
<div class="block">The meta object literal for the '<em><b>Artifact Id</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MAVEN_DEPENDENCY__VERSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_DEPENDENCY__VERSION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute MAVEN_DEPENDENCY__VERSION</pre>
<div class="block">The meta object literal for the '<em><b>Version</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MAVEN_DEPENDENCY__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_DEPENDENCY__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference MAVEN_DEPENDENCY__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MAVEN_DEPENDENCY__EXCLUSIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAVEN_DEPENDENCY__EXCLUSIONS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference MAVEN_DEPENDENCY__EXCLUSIONS</pre>
<div class="block">The meta object literal for the '<em><b>Exclusions</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="EXCLUDED_DEPENDENCY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXCLUDED_DEPENDENCY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass EXCLUDED_DEPENDENCY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/ExcludedDependencyImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Excluded Dependency</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/ExcludedDependencyImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code>ExcludedDependencyImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/CodegenPackageImpl.html#getExcludedDependency--"><code>CodegenPackageImpl.getExcludedDependency()</code></a></dd>
</dl>
</li>
</ul>
<a name="EXCLUDED_DEPENDENCY__GROUP_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXCLUDED_DEPENDENCY__GROUP_ID</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute EXCLUDED_DEPENDENCY__GROUP_ID</pre>
<div class="block">The meta object literal for the '<em><b>Group Id</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="EXCLUDED_DEPENDENCY__ARTIFACT_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXCLUDED_DEPENDENCY__ARTIFACT_ID</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute EXCLUDED_DEPENDENCY__ARTIFACT_ID</pre>
<div class="block">The meta object literal for the '<em><b>Artifact Id</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="EXCLUDED_DEPENDENCY__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXCLUDED_DEPENDENCY__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference EXCLUDED_DEPENDENCY__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PARENT_ARTIFACT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PARENT_ARTIFACT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass PARENT_ARTIFACT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/ParentArtifactImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Parent Artifact</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/ParentArtifactImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code>ParentArtifactImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/CodegenPackageImpl.html#getParentArtifact--"><code>CodegenPackageImpl.getParentArtifact()</code></a></dd>
</dl>
</li>
</ul>
<a name="PARENT_ARTIFACT__GROUP_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PARENT_ARTIFACT__GROUP_ID</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute PARENT_ARTIFACT__GROUP_ID</pre>
<div class="block">The meta object literal for the '<em><b>Group Id</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PARENT_ARTIFACT__ARTIFACT_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PARENT_ARTIFACT__ARTIFACT_ID</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute PARENT_ARTIFACT__ARTIFACT_ID</pre>
<div class="block">The meta object literal for the '<em><b>Artifact Id</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PARENT_ARTIFACT__VERSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PARENT_ARTIFACT__VERSION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute PARENT_ARTIFACT__VERSION</pre>
<div class="block">The meta object literal for the '<em><b>Version</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PARENT_ARTIFACT__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PARENT_ARTIFACT__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference PARENT_ARTIFACT__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass PROPERTY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/PropertyImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code><em>Property</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/PropertyImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl"><code>PropertyImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/CodegenPackageImpl.html#getProperty--"><code>CodegenPackageImpl.getProperty()</code></a></dd>
</dl>
</li>
</ul>
<a name="PROPERTY__NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPERTY__NAME</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute PROPERTY__NAME</pre>
<div class="block">The meta object literal for the '<em><b>Name</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PROPERTY__VALUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPERTY__VALUE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute PROPERTY__VALUE</pre>
<div class="block">The meta object literal for the '<em><b>Value</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PROPERTY__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPERTY__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference PROPERTY__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PROJECT__GENERATION_MODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROJECT__GENERATION_MODE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute PROJECT__GENERATION_MODE</pre>
<div class="block">The meta object literal for the '<em><b>Generation Mode</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="GENERATION_MODE_KIND">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GENERATION_MODE_KIND</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum GENERATION_MODE_KIND</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/GenerationModeKind.html" title="enum in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><code><em>Generation Mode Kind</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/GenerationModeKind.html" title="enum in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><code>GenerationModeKind</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/CodegenPackageImpl.html#getGenerationModeKind--"><code>CodegenPackageImpl.getGenerationModeKind()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CodegenPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/ExcludedDependency.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="CodegenPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
